Last Comment Bug 497072 - Remove locale-specific subdomains from SeaMonkey client-generated URLs
: Remove locale-specific subdomains from SeaMonkey client-generated URLs
Status: RESOLVED FIXED
: fixed-seamonkey2.0.3
Product: SeaMonkey
Classification: Client Software
Component: General (show other bugs)
: Trunk
: All All
: -- normal (vote)
: seamonkey2.1a1
Assigned To: Serge Gautherie (:sgautherie)
:
Mentors:
http://mxr.mozilla.org/comm-central/s...
: 532644 (view as bug list)
Depends on: 454300 471834 488856 517596
Blocks: 398938
  Show dependency treegraph
 
Reported: 2009-06-09 03:58 PDT by Robert Kaiser
Modified: 2009-12-09 10:16 PST (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
(Av1) Update the urls to their current redirections (5.89 KB, patch)
2009-12-03 09:30 PST, Serge Gautherie (:sgautherie)
reed: review-
Details | Diff | Splinter Review
(Av2) Update the urls to their current redirecting aliases, Fix some nits too (5.88 KB, patch)
2009-12-03 10:18 PST, Serge Gautherie (:sgautherie)
no flags Details | Diff | Splinter Review
(Av2a) Update the urls to their current redirecting aliases, Fix some nits too (6.00 KB, patch)
2009-12-03 10:27 PST, Serge Gautherie (:sgautherie)
kairo: review-
Details | Diff | Splinter Review
(Av3) Update the urls to their current redirecting aliases, Fix some nits too [Checkin: Comment 18 & 19] (5.51 KB, patch)
2009-12-03 14:47 PST, Serge Gautherie (:sgautherie)
kairo: review+
kairo: approval‑seamonkey2.0.1-
kairo: approval‑seamonkey2.0.3+
Details | Diff | Splinter Review

Description Robert Kaiser 2009-06-09 03:58:06 PDT
This is the SeaMonkey version of bug 454300. In particular, we're still seeing the bug 488856 problem with the URLs from http://hg.mozilla.org/comm-central/file/default/suite/locales/en-US/chrome/branding/brand.properties and getting a cert error on in-client URLs is quite lame...
I know support for *.add-ons.mozilla.org was never completely official, but it worked well enough for some time.
In any case, we need to switch to other URLs, apparently preferably plain addons.mozilla.org ones, but bug 471834 has open questions as to what to change them to (i.e. it's unclear where/if the version will still be used in the URLs).
Comment 1 Justin Scott [:fligtar] 2009-06-09 09:26:34 PDT
Dupe of bug 488856?
Comment 2 Robert Kaiser 2009-06-10 07:01:39 PDT
(In reply to comment #1)
> Dupe of bug 488856?

No, as the bug there is fixed but we still have URLs like that in the tree, which are covered here now.
Comment 3 Ian Neal (Away until 7th Aug) 2009-08-28 05:35:07 PDT
An example would be https://en-US.add-ons.mozilla.org/en-US/SeaMonkey/2.0/extensions/
Comment 4 Robert Kaiser 2009-08-28 05:54:12 PDT
(In reply to comment #3)
> An example would be
> https://en-US.add-ons.mozilla.org/en-US/SeaMonkey/2.0/extensions/

Actually, that was my fault, I got some cases wrong. A better example is https://en-us.add-ons.mozilla.org/en-US/seamonkey/2.0/themes/ - and this happens to be what View > Apply Theme > Get New Themes is calling currently.

If we just change the .org to .com, it works, see https://en-us.add-ons.mozilla.com/en-US/seamonkey/2.0/themes/ (the page that comes up looks bad because of bug 513227 but that's on the AMO side).
Comment 5 Ian Neal (Away until 7th Aug) 2009-08-28 06:05:17 PDT
Need this for 2.0 final.
Comment 6 Robert Kaiser 2009-08-28 06:11:37 PDT
BTW, the other links - besides the themes one from the View menu - are not exposed in the UI any more, extensions.js does this:

  var showGetMore = false;
  var getMore = document.getElementById("getMore");
  if (prefURL && !gShowGetAddonsPane) {
    [... set showGetMore to true on other conditions ...]
  }

as gShowGetAddonsPane is always true for us - we show the "Get Add-ons" pane - we never show the links in add-ons manager, and that's the place they would be there for (we just re-used one of them in the view menu).
Comment 7 Robert Kaiser 2009-09-18 16:11:43 PDT
I moved the part that actually blocks 2.0 to bug 517596 - this will stay here for removing the locale-specific domains later.
Comment 8 Serge Gautherie (:sgautherie) 2009-12-03 09:30:08 PST
Created attachment 415890 [details] [diff] [review]
(Av1) Update the urls to their current redirections
Comment 9 Reed Loden [:reed] (use needinfo?) 2009-12-03 09:47:52 PST
Comment on attachment 415890 [details] [diff] [review]
(Av1) Update the urls to their current redirections

Use the words for the types like in the Firefox patch. Don't use the actual type numbers.
Comment 10 Robert Kaiser 2009-12-03 10:07:31 PST
Comment on attachment 415890 [details] [diff] [review]
(Av1) Update the urls to their current redirections

>-#define seamonkey_l10n  
>+#define seamonkey_l10n 
> 
> # LOCALIZATION NOTE (seamonkey_l10n_long):
> # insert full bookmark line for localized SeaMonkey page (normal bookmark)
>-# e.g. #define seamonkey_l10n <DT><A HREF="http://www.seamonkey.tld/">tlhIngan Hol SeaMonkey</a>
>-#define seamonkey_l10n_long  
>+# e.g. #define seamonkey_l10n_long <DT><A HREF="http://www.seamonkey.tld/">tlhIngan Hol SeaMonkey</a>
>+#define seamonkey_l10n_long 

...and don't change the whitespace on those #defines, from all I remember, that space is actually necessary for this to work correctly. Nice catch on the comment, though. :)
Comment 11 Serge Gautherie (:sgautherie) 2009-12-03 10:18:06 PST
Created attachment 415896 [details] [diff] [review]
(Av2) Update the urls to their current redirecting aliases, Fix some nits too

Per comment 9.

brand.properties:
*I dropped the 'extensions/' part too, per current redirection and to be in sync' with the 2 other files.
*Can't we replace '%LOCALE%/%APP%' by 'en-US/seamonkey' like in bookmarks.inc?
Comment 12 Serge Gautherie (:sgautherie) 2009-12-03 10:27:26 PST
Created attachment 415899 [details] [diff] [review]
(Av2a) Update the urls to their current redirecting aliases, Fix some nits too

Per your comment 10.
See my comment 11 too.
Comment 13 Robert Kaiser 2009-12-03 11:59:18 PST
*** Bug 532644 has been marked as a duplicate of this bug. ***
Comment 14 Robert Kaiser 2009-12-03 12:05:12 PST
Comment on attachment 415899 [details] [diff] [review]
(Av2a) Update the urls to their current redirecting aliases, Fix some nits too

>-# LOCALIZATION NOTE (seamonkey_themes):
>-# link title for https://en-US.add-ons.mozilla.com/en-US/seamonkey/themes
>-#define seamonkey_themes SeaMonkey Themes

No reason to move that one around, please leave it where it was.

> # LOCALIZATION NOTE (seamonkey_l10n):
>+# (Double-)Space value is needed as-is by default.

That comment is confusing for localizers, please just leave it out. If localizers actually use this line to define something non-empty, they want a single space to separate the key and value, else they should just leave it unchanged to what en-US has.
Comment 15 Serge Gautherie (:sgautherie) 2009-12-03 13:50:37 PST
What about my comment 11 question?
Comment 16 Robert Kaiser 2009-12-03 14:22:58 PST
Only bookmarks.inc can use 'en-US/seamonkey', if you mean that, because it's just comments there. Everything else needs to go with the '%LOCALE%/%APP%' stuff, esp. because all locales can use exactly the same values and get the right thing.
Comment 17 Serge Gautherie (:sgautherie) 2009-12-03 14:47:31 PST
Created attachment 415959 [details] [diff] [review]
(Av3) Update the urls to their current redirecting aliases, Fix some nits too
[Checkin: Comment 18 & 19]

Per your comment 14.

Thanks for the explanation/confirmation.
Comment 18 Serge Gautherie (:sgautherie) 2009-12-03 15:45:12 PST
Comment on attachment 415959 [details] [diff] [review]
(Av3) Update the urls to their current redirecting aliases, Fix some nits too
[Checkin: Comment 18 & 19]


http://hg.mozilla.org/comm-central/rev/663c9fb21ea2


"approval-seamonkey2.0.1=?":
Should really be wanted, unless these urls are considered l10n strings...
Comment 19 Serge Gautherie (:sgautherie) 2009-12-09 10:15:22 PST
Comment on attachment 415959 [details] [diff] [review]
(Av3) Update the urls to their current redirecting aliases, Fix some nits too
[Checkin: Comment 18 & 19]


http://hg.mozilla.org/releases/comm-1.9.1/rev/e62adbd5b4f7

Note You need to log in before you can comment on or make changes to this bug.